> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /homebrew/analytics/installs

> Homebrew install analytics leaderboard by category and period

**Price:** 20 credits



## OpenAPI

````yaml /openapi/package-registries.json post /api/homebrew/analytics/installs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/homebrew/analytics/installs:
    post:
      tags:
        - /homebrew
      summary: /homebrew/analytics/installs
      description: |-
        Homebrew install analytics leaderboard by category and period

        **Price:** 20 credits
      operationId: __api_homebrew_analytics_installs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HomebrewAnalyticsInstallsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HomebrewInstallRank'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HomebrewAnalyticsInstallsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        period:
          $ref: '#/components/schemas/HomebrewAnalyticsPeriod'
          default: 30d
        category:
          $ref: '#/components/schemas/HomebrewAnalyticsCategory'
          default: install
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    HomebrewInstallRank:
      properties:
        '@type':
          type: string
          default: HomebrewInstallRank
        rank:
          type: integer
          default: 0
        name:
          type: string
        install_count:
          type: integer
          default: 0
        percent:
          anyOf:
            - type: number
            - type: 'null'
        category:
          type: string
          default: ''
        period:
          type: string
          default: ''
      type: object
      required:
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    HomebrewAnalyticsPeriod:
      type: string
      enum:
        - 30d
        - 90d
        - 365d
    HomebrewAnalyticsCategory:
      type: string
      enum:
        - install
        - install-on-request
        - build-error
        - cask-install
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````